#ifndef TASKS_H
#define TASKS_H
#include <Arduino.h>
#include "SAB.h"
#include "views.h"
#include "HttpClient.h"

boolean task_blink(void *);
boolean task_sys_info(void *);
boolean task_esp_reset_restart(void *);
boolean testTask(void *);

typedef struct dataLogger
{
  HttpClient client;
  uint8_t counter;
  boolean rdy;
}DataLogger;
boolean task_post_data_logger(void *);

#endif //TASKS_H
